﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="task">
    <head>
        <link href="../../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Active Directory Use Cases</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Active Directory Use Cases</h1>
        <p>With Active Directory integration, you can monitor the access of Active Directory accounts in different applications in your infrastructure. You can grant application access to these accounts, manage the access, add or delete accounts, or add or delete Active Directory groups.</p>
        <p>The Active Directory accounts that you want to manage must be available in EIC. This is accomplished by importing the data via the import configurations and import jobs. After the data is available, several actions can be performedon this data in EIC, which can result inchanging the data back in Active Directory. These operations are broadly known as import and provisioning in Saviynt terminology. The following sections describe some of the commonly implemented import and provisioning use cases in Active Directory integrations.</p>
        <h2>Importing Active Directory Accounts and Access</h2>
        <p>You can import Active Directory accounts and associate users with them&#160;to gain visibility into access permissions of those accounts and manage them from EIC.&#160;You can also import all the groups&#160;from Active Directory to EIC.&#160;Groups are associated with all imported accounts within the domain irrespective of the group filters. However, metadata for associated groups&#160;and nested entitlements are not imported.</p>
        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
            <div class="confluence-information-macro-body">
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note"> Active Directory grants entitlements to accounts to enable them to perform specific tasks. Entitlements are usually created in the form of role memberships or group memberships. Active Directory groups are imported as entitlements, which can be assigned to user accounts.</p>
                </div>
            </div>
        </div>
        <p>Two types of import operations are supported: full and incremental import.</p>
        <ul>
            <li>
                <p><strong>Full import:</strong> When creating the integration for the first time, you must import all the existing accounts from Active Directory to EIC. To perform the full import, the import process (job) sends the import data for each Active Directory object to EIC.&#160;Filters are applied to locate accounts that you want to import and then the attribute values of those accounts are imported and stored in EIC. As part of this process, the deleted entries are identified and marked as inactive.&#160;</p>
            </li>
            <li>
                <p><strong>Incremental import:</strong> After the first full import, you can use incremental import for subsequent imports.&#160;During an incremental import, only the changes that are made in the target application after the <span class="inline-comment-marker">last import</span> are brought into EIC.&#160;From the next run after the first incremental import,&#160;only records created or modified after the values of whencreated and whenchanged&#160;attributes&#160;of Active Directory&#160;are considered for import.</p>
            </li>
        </ul>
        <p>Importing accounts and access requires you to specify the connection details to connect to the target Active Directory application, the base location in Active Directory to read the account details from, mapping details of account attributes, and the filter to select a particular set of accounts to import.</p>
        <p>Imports are performed via jobs. For more information about the jobs used for importing, see&#160;<MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm#JobCategoriesforFlatJobControlPanel-Data">Data</MadCap:xref>.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p>For importing or provisioning data, the Test Connection action must succeed. For information about providing basic connection details and testing the connection, see <MadCap:xref href="../Onboard-Manage-App-Beta-v2021/Advanced-Config-for-AD-Applications.htm">Advanced Configuration for Active Directory Applications</MadCap:xref>.</p>
            <p class="note">During application enrollment, if you have not provided the connection details or if the test connection failed, then go to Advanced configuration, update the values for the connection parameters, and test the connection again. For more information, see <MadCap:xref href="../Onboard-Manage-App-Beta-v2021/Advanced-Config-for-AD-Applications.htm#Connecti">Connection</MadCap:xref> in Advanced Configuration for Active Directory Applications.</p>
        </div>
        <h3><a name="Searchin"></a>Searching and Filtering Accounts&#160;</h3>
        <p>You can import accounts from a specified location within the Active Directory domain hierarchy like from a particular container. To do this, specify the starting point in Active Directory from where you want to import accounts in the <strong>Base container DN in active directory to search accounts</strong>&#160;parameter, which is available in the <strong>Setup Account import configuration</strong> section. For&#160;example,&#160;<label class="param-value">ou=sales,ou=accounts,dc=abccompany,dc=com</label></p>
        <p>where,</p>
        <ul>
            <li>
                <p>
                    <label class="param-value">sales</label> is the base container</p>
            </li>
            <li>
                <p>
                    <label class="param-value">accounts </label>is the root of the domain</p>
            </li>
            <li>
                <p>
                    <label class="param-value">abccompany.com</label> is the domain name</p>
            </li>
        </ul>
        <p>In this example, accounts from <label class="param-value">sales</label> are imported. &#160;</p>
        <p>If you want to search for an account in the entire domain, specify the name of the domain controller in the parameter. For example, <label class="param-value">dc=abccompany,dc=com</label></p>
        <p>Additionally, if you want to gain visibility and perform governance only for accounts that belong to a specific department or an organizational unit, configure an LDAP filter to import a subset of accounts. To filter the accounts, you must enter the filter as a query in the form of a logical expression in the <strong>LDAP filter for import</strong>&#160;parameter available in the Setup Account import configuration section.&#160;The specified filter is appended as a query parameter to the API call issued to Active Directory and returns only the subset of accounts that you want to import. </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">To configure the LDAP filter for import, configure <strong>Base container DN in active directory to search accounts</strong>&#160;before configuring <strong>LDAP filter for import</strong>.</p>
        </div>
        <p>Example 1:&#160;Import all active users. </p>
        <p>Filter to Specify: <label class="param-value">(&amp;(objectCategory=person)(objectClass=user)(sAMAccountName=*)(!(userAccountControl:1.2.840.113556.1.4.803:=2)))</label></p>
        <p>Example 2:&#160;Import all active users whose sAMAccountName starts with the letter 'c'. </p>
        <p>Filter to Specify: <label class="param-value">(&amp;(objectCategory=person)(objectClass=user)(sAMAccountName=c*)(!(userAccountControl:1.2.840.113556.1.4.803:=2)))</label></p>
        <h3><a name="Mapping3"></a>Mapping Account Attributes&#160;</h3>
        <p>To import accounts, you must set the relationship between EIC and Active Directory attributes. This is accomplished by setting a mapping that controls which Active Directory attributes match which EIC attributes, and how Active Directory attributes are imported. For example, you can map the givenName attribute of Active Directory to either the first name or the last name attribute of EIC.</p>
        <p>Saviynt provides a default account attribute mapping. To view it, go to the <strong>Setup Account import configuration</strong> section and expand <strong>Account Attribute Mapping</strong>. The EIC attributes, the corresponding Active Directory attributes, and the data type for each attribute is displayed.<img src="../../Resources/Images/aact-mgmt.png" style="width: 500px;" /> </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The EIC attributes are represented as Saviynt attributes in the user interface.</p>
        </div>
        <p>You can change the default attribute mapping. To add new attributes to the mapping, scroll down and click the plus (<strong>+</strong>) icon. If you want to remove an attribute, click the cross (<strong>x</strong>) icon to the right of the mapping row. </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You can click <strong>Switch to Editor View</strong> to display the account attribute mapping in the JSON format. After modifying the mapping, click <strong>Switch to Builder View</strong> to display it in this view.</p>
        </div>
        <p>While configuring the account attribute mapping, keep in mind the following considerations:</p>
        <ul>
            <li>
                <p><strong>Reconciliation Field:</strong> This field is required to uniquely identify accounts during import to prevent the creation of duplicate records. Every object (account, user) in Active Directory is uniquely identified by an attribute named objectGUID. As part of the default account import mapping, this attribute is mapped to customproperty26 in EIC. The Reconciliation field takes the value of customproperty26 by default. To change its value, go to the Editor View and change the mapping for the <strong>RECONCILIATION_FIELD</strong> attribute (to some other custom property) as it is not displayed in the Builder View. </p>
            </li>
        </ul>
        <div class="confluence-information-macro confluence-information-macro-note conf-macro output-block">
            <div class="confluence-information-macro-body">
                <p>&#160;</p>
                <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
                    <p class="note">Saviynt recommends that you use objectGUID as the Reconciliation Field.</p>
                </div>
            </div>
        </div>
        <ul>
            <li>
                <p><strong>For incremental import to work, map the whenChanged and whenCreated Active Directory attributes with updatedate and created_on EIC attributes respectively.</strong> As incremental import brings in data based on the date and time of the previous import, the values of these attributes are matched during incremental import, and accounts are updated based on the difference found. If these attributes are not mapped correctly, running incremental import does not fetch the changes to EIC. By default, this mapping is provided in the Account Attribute Mapping section. Saviynt recommends that you do not change this mapping; otherwise, incremental import will not work.</p>
            </li>
        </ul>
        <h3><a name="Setting2"></a>Setting Up the Status of Imported Accounts</h3>
        <p>Accounts have their own statuses in Active Directory. You can set active or inactive status for these accounts during import. To do this, navigate to the <strong>Setup Account import configuration</strong> section and specify the values of the following parameters under <strong>Status and Threshold Configuration</strong>:</p>
        <ul>
            <li>
                <p><strong>Status property in Saviynt:</strong> Specify the name of the Saviynt attribute to store the value of the account status imported from Active Directory in the string format. For example, store the value in customproperty30.</p>
            </li>
            <li>
                <p><strong>UserAccountControl for active status:</strong> Map the status values of accounts by specifying the values of the Active statuses. For example, specify <label class="param-value">512</label>, <label class="param-value">544</label>, or <label class="param-value">66048</label>. If these values are found in the attribute specified in the <strong>Status property in Saviynt</strong> property, say customproperty30, then they are marked active and all other values are marked inactive.</p>
            </li>
        </ul>
        <h3><a name="Limiting"></a>Limiting the Number of Inactive Accounts&#160;</h3>
        <p>The time taken for import is directly proportional to the volume of the data being imported from Active Directory. Sometimes, the import time is increased due to connectivity issues or corruption in API calls, and in many cases, the import is interrupted or fails. An interrupted import operation means that a part of the import is not completed. </p>
        <p>When the import is run again, the accounts to import are compared with the accounts that are already imported in the previous import operation. The accounts that are already imported are updated. The accounts that are not found are marked Inactive or Suspended From Import Service and they cannot be made active. If you want to import the same accounts later, new accounts for them will be created. If a large number of accounts (say 10000) with Inactive or Suspended From Import Services status is detected, the accounts will lose all accesses leading to an outage.</p>
        <p>To deal with this situation, you can define a maximum number of inactive accounts that can exist in the system by specifying the account threshold value in the&#160;<strong>Maximum number of accounts that can be deleted during import</strong>&#160;parameter under <strong>Status and Threshold Configuration</strong>. The number of inactive accounts cannot exceed the value specified in this parameter. If the threshold value exceeds, then the status of the accounts will not change. For example, if there are 80000 active accounts and 20000 inactive accounts but the threshold value is 10000, then the status of the existing account data is not modified. The status is updated only if the number of inactive accounts is within the limit of the threshold value, which is less than 10000.</p>
        <p>&#160;</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You must set the account threshold value in <strong>Maximum number of accounts that can be deleted during import</strong> by verifying the account data in your organization. In case all the data is imported but the account statuses are not updated, then check the value of this parameter and modify it according to the data in your organization. You must also update this value if the number of accounts with both active and inactive statuses has significantly increased over a period of time</p>
        </div>
        <p>In addition to specifying the account threshold value, configure the following for account import:</p>
        <ul>
            <li>
                <p>Remove or retain the association of entitlements for accounts. To maintain entitlement association with an account, specify <label class="param-value">false</label> for the <strong>Remove entitlements for the missing accounts during import</strong> parameter. To remove the association, set it to <label class="param-value">true</label>.</p>
            </li>
            <li>
                <p>Remove or retain&#160;the association of inactive accounts with users. To maintain inactive account association with a user, specify <label class="param-value">true</label> for the <strong>Associate inactive accounts to users</strong> parameter. To remove the association, set it to <label class="param-value">false</label>.</p>
            </li>
            <li>
                <p>Mark the missing accounts as suspended during the import. If an account is missing in Active Directory during import, its status is changed to Inactive based on the account threshold value. If you want to mark the account as Suspended From Import Service, then specify <label class="param-value">true</label> for the <strong>Mark missing accounts as suspended during import</strong> parameter. This setting suspends the missing accounts and the account names of the suspended accounts are appended with a DELETED time stamp.</p>
            </li>
        </ul>
        <h3><a name="Importin"></a>Importing Groups&#160;</h3>
        <p>Active Directory groups are collections of&#160;Active Directory&#160;objects, such as users and other groups. They enable you to control access to resources and enforce a least-privilege model. </p>
        <p MadCap:conditions="Default.v2020X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-ad-grp.htm" pubname="IGA-User-Guide-v2020x" class="peer">Managing Active Directory Groups</a></MadCap:conditionalText> in the <em>IGA User Guide</em>. </p>
        <p MadCap:conditions="Default.v2021X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-ad-grp.htm" pubname="IGA-User-Guide-v2021x" class="peer">Managing Active Directory Groups</a></MadCap:conditionalText> in the <em>IGA User Guide</em>. </p>
        <p>You can import groups from Active Directory and grant them to accounts. EIC uses the ability of Active Directory to automatically populate the memberOf attribute that contains all the group distinguished names (DNs) of which a user or a group is a member of. To import groups, specify the memberOf attribute in the <strong>Active directory attribute that contains entitlement values</strong> parameter&#160;under <strong>Setup Access Import configuration</strong><span class="inline-comment-marker">.</span> Groups are saved as entitlements in EIC.</p>
        <p>You can import groups from a specified location within the Active Directory domain hierarchy, such as a particular domain controller. To do this, specify the groups that you want to import from the Active Directory domain controller in the search filter in the&#160;<strong>Base container DN in active directory to search groups</strong>&#160;parameter in the Setup Access import configuration section. For example, to search for a group object in a container under the root of the domain, specify <label class="param-value">OU=Groups,OU=Accounts,DC=lab,DC=abccompany,DC=com</label>.&#160;</p>
        <p>where,&#160;</p>
        <ul>
            <li>
                <p>
                    <label class="param-value">Groups </label>is the base container&#160;</p>
            </li>
            <li>
                <p>
                    <label class="param-value">Accounts</label> is the root of the domain&#160;</p>
            </li>
            <li>
                <p>
                    <label class="param-value">lab.abccompany.com</label> is the domain name&#160;</p>
            </li>
        </ul>
        <p>In this example, groups from the <label class="param-value">Groups</label> base container are imported.&#160;</p>
        <h3><a name="Mapping"></a>Mapping Group Attributes</h3>
        <p>To map group attributes of Active Directory with group attributes of EIC, configure the group attribute mapping by expanding <strong>Group Import</strong> in the <strong>Setup Access import configuration</strong> section and specify values for the following parameters:</p>
        <ul>
            <li>
                <p><strong>import group hierarchy</strong>: Set this parameter to <label class="param-value">true</label> to import nested groups from Active Directory. A nested group consists of a parent group and one or more child groups. </p>
            </li>
            <li>
                <p><strong>Link group and accounts</strong>:&#160; Set this parameter to <label class="param-value">true</label> to obtain the&#160;account-group membership details during access import and to perform implicit accounts import.</p>
            </li>
            <li>
                <p><strong>Entitlement type</strong>: Use this parameter to import entitlements or groups from Active Directory. You can use this parameter instead of the <strong>Active directory attribute that contains entitlement values </strong>parameter. </p>
            </li>
            <li>
                <p><strong>incremental time field</strong>:&#160;Use this parameter to&#160;obtain the last update date required for incremental import.&#160;This is a mandatory parameter for performing incremental access import.</p>
            </li>
            <li>
                <p><strong>Group objectclass</strong>:&#160;Use this parameter to specify an object filter that determines your access import entries. It is mapped to a unique attribute value in the target Active Directory that remains the same throughout the lifecycle of a user. For example, objectGUID for a user in Active Directory is UID in the case of some LDAP-based directories.</p>
            </li>
            <li>
                <p><strong>Active status for group</strong>:&#160;Use this parameter to specify&#160;the possible values for active groups in Active Directory. Values excluded from this parameter are considered inactive.</p>
            </li>
        </ul>
        <p>Saviynt provides a default group attribute mapping. To view it, go to the <strong>Setup Access import configuration</strong> section and expand <strong>Group Import</strong>. The EIC attributes, the corresponding Active Directory attributes, and the data type for each attribute is displayed in the <strong>Group attribute mapping</strong> section.<img src="../../Resources/Images/Group-attribute.png" style="width: 650px;" /></p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p> The EIC attributes are represented as Saviynt attributes in the user interface.</p>
        </div>
        <p>You can change the default attribute mapping. To add new attributes to the mapping, scroll down and click the plus (<strong>+</strong>) icon. If you want to remove an attribute, click the cross (<strong>x</strong>) icon to the right of the mapping row. </p>
        <p>While configuring the group attribute mapping, keep in mind the following considerations:</p>
        <ul>
            <li>
                <p><strong>Reconciliation Field:</strong> This field is required to uniquely identify groups during import to prevent the creation of duplicate records. Group import from Active Directory takes place via the distinguishedName attribute. As part of default group attribute mapping, this attribute is mapped to customproperty17 in EIC. The Reconciliation field takes the value of customproperty17 by default. To change this, go to Editor View and change the mapping for the RECONCILIATION_FIELD attribute (to some other custom property) as it is not displayed in Builder View.</p>
                <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
                    <p>Saviynt recommends that you use objectGUID as the Reconciliation Field.</p>
                </div>
            </li>
        </ul>
        <p>&#160;</p>
        <p><strong>For incremental import to work, map the whenChanged and whenCreated Active Directory attributes with updatedate and created_on EIC attributes respectively.</strong> As incremental import brings in data based on the date and time of the previous import, the values of these attributes are matched during incremental import, and groups are updated based on the difference found. If these attributes are not mapped correctly, running incremental import does not fetch the changes to EIC. By default, this mapping is provided in the Group Attribute Mapping section. Saviynt recommends that you do not change this mapping for a successful import.</p>
        <h3>Import Procedure</h3>
        <p>To configure importing of Active Directory accounts and accesses:</p>
        <ol>
            <li>
                <p>On the Home page for the application, select <strong>Assisted configuration</strong>. </p>
            </li>
            <li>
                <p>Click <strong>See More</strong> to display all the selected features.<br /></p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You can add or remove the features that you want to configure by clicking <strong>&lt;Number of&gt; Features Selected</strong> on the top right of the Get Started section. In the <strong>Features </strong>page that is displayed, make the changes and click <strong>Save</strong>.</p>
                </div>
            </li>
            <li>
                <p>To configure the application properties for account import:</p>
            </li>
        </ol>
        <p style="margin-left: 30.0px;">a. Under Account Management, click the right arrow next to <strong>Setup Account import configuration</strong>.</p>
        <p style="margin-left: 30.0px;">b. Specify values for the account import properties by referring to the sections listed in the following table:</p>
        <div class="table-wrap">
            <table class="TableStyle-Nested-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Nested-Table.css');" cellspacing="0">
                <col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" />
                <col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Nested-Table-Head-Header1">
                        <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">See More...</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Base container DN in active directory to search accounts</p>
                            <p class="table-text">LDAP filter for import</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">
                                <MadCap:xref href="#Searchin">Searching and Filtering Accounts&#160;</MadCap:xref>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Account Attribute Mapping</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text"><a href="#Mapping3">Mapping Account Attributes</a> </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                            <p class="table-text">Status and Threshold Configuration</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                            <p class="table-text"><a href="#Setting2">Setting Up the Status of Imported Accounts</a> </p>
                            <p class="table-text"><a href="#Limiting">Limiting the Number of Inactive Accounts</a> </p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p style="margin-left: 30.0px;">&#160;c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the <strong>Home </strong>page. Otherwise, to continue the configuration, click the right arrow.</p>
        <p>5. To configure the application properties for access import:</p>
        <p style="margin-left: 30.0px;">a. Navigate to <strong>Setup Access Import configuration</strong>.</p>
        <p style="margin-left: 30.0px;">b. Specify values for the access import properties by referring to the sections listed in the following table:</p>
        <div class="table-wrap">
            <table class="TableStyle-Nested-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Nested-Table.css');" cellspacing="0">
                <col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" />
                <col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Nested-Table-Head-Header1">
                        <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">See More…</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Active directory attribute that contains entitlement values</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text"> <MadCap:xref href="#Importin">Importing Groups&#160;</MadCap:xref></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Base container DN in active directory to search groups</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">
                                <MadCap:xref href="#Importin">Importing Groups&#160;</MadCap:xref> </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                            <p class="table-text">Group Import</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                            <p class="table-text">
                                <MadCap:xref href="#Mapping">Mapping Group Attributes</MadCap:xref> </p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p> c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the <strong>Home </strong>page.</p>
        <p>6. To complete enrolling the application, click <strong>Commit Changes</strong>.</p>
        <p>7. Add a job of the <strong>Application Data Import</strong> type. In the created trigger, select <strong>Import Type</strong> as <strong>Accounts</strong>, and run the job. For more information about creating and running jobs, see <MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Control-Panel.htm">Managing Jobs Using Job Control Panel</MadCap:xref>.</p>
        <p>After the job completes, the accounts will be imported into the Identity Repository of EIC.</p>
        <h2>Provisioning Active Directory Accounts and Access</h2>
        <p>Provisioning automates user and account creation, and helps you manage access privileges through the user lifecycle.&#160;You can create, read, and update user accounts for new or existing users, and remove accounts for deactivated users.</p>
        <p>Provisioning involves creating, updating, or deleting accounts in Active Directory through Saviynt. When you provision an Active Directory account to a user, the operation results in the creation of an account for that user in Active Directory. You can also update existing Active Directory accounts through Saviynt.</p>
        <p>In Active Directory, users and organizations are organized in a hierarchical format. Before creating users in the required organizational units (OUs) in Active Directory, you must fetch the list of OUs used in Active Directory into Saviynt. Similarly, before provisioning users to the required groups, you must fetch the list of all groups used in Saviynt. </p>
        <p>You can also perform group assignment provisioning operations in which you set or change the target system group membership profiles of user accounts.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The application integration and management feature cannot propagate password changes from Active Directory to Saviynt. To implement it, install the Active Directory Password Filter. For more information, see&#160;<MadCap:xref href="../../Chapter13-Password-Management/Configuring-Password-Synchronization-from-Active-Directory.htm">Configuring Password Synchronization from Active Directory</MadCap:xref>.</p>
        </div>
        <h3><a name="Creating"></a>Creating an Account&#160;</h3>
        <p>To create an account in Active Directory, go to the <strong>Setup Account Provisioning configuration</strong> section, expand<strong>&#160;Create Account Policy</strong>, and specify values for the given parameters.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">You can click <strong>Switch to Editor View</strong> to display the create account policy in the JSON format. After modifying the mapping, click <strong>Switch to Builder View</strong> to display it in this view.</p>
                </li>
                <li>
                    <p>While creating or updating accounts, if you want to use&#160;the value of a dynamic attribute, use the requestAccessAttributes&#160;variable to invoke that attribute. To do so, click the attribute, and then click <strong>Advanced Value</strong>. In the Advanced Value dialog box, specify the variable in the following syntax, and click <strong>Save</strong>.</p>
                    <p>
                        <label class="param-value">         "${requestAccessAttributes.get('TimezoneCode')}</label>
                    </p>
                </li>
                <li>
                    <p>When you are provisioning a task to create an account on an endpoint using the rules, the default values defined for the dynamic attributes on the endpoint are obtained.&#160;</p>
                </li>
            </ul>
        </div>
        <h3><a name="Defining"></a>Defining a Rule for Naming an Account&#160;</h3>
        <p>While creating an account, you must define a rule to name it and specify the location <span class="inline-comment-marker">of the domain</span> where it must be created. To do this, expand the <strong>Account Name Rule Policy</strong> in the Setup Account Provisioning configuration section and specify the rules to generate the DN for the account separated by ###.&#160;</p>
        <p>
            <img src="../../Resources/Images/acctmgmt1.png" style="width: 650px;" />
        </p>
        <p>You can use the Account Name Rule Policy to configure a simple rule to check the CN of the account as depicted by Example 1 or configure complex rules with If-Else conditions as depicted by Example 2 and 3.</p>
        <p>Example 1:&#160;</p>
        <p><span class="attr">CN=${user.lastname}\\, ${user.firstname} (Global-V) [${user.username}],CN=Users,DC=abccompany,DC=com###CN=${user.lastname}1\\, ${user.firstname}1 (Global-V) [${user.username}1],CN=Users,DC=abccompany,DC=com###CN=${user.lastname}\\, ${user.firstname} (Global-V) [${user.username}2],CN=Users,DC=abccompany,DC=com&#160;</span>
        </p>
        <p>Example 2:&#160;&#160;</p>
        <p><span class="attr">${if (ServiceAccountOwnerMap.ServiceAccountType.equals('Service')) { 'CN='+task.accountName+',OU=Users,DC=dev,DC=abccompany,DC=com' } else if(ServiceAccountOwnerMap.ServiceAccountType.equals('Test')) { 'CN='+task.accountName+',OU=Users,DC=dev,DC=abccompany,DC=com' } else if(ServiceAccountOwnerMap.ServiceAccountType.equals('Support')) { 'CN='+task.accountName+',OU=Users,DC=dev,DC=abccompany,DC=com' } else if (user.middlename&#160;!= null &amp;&amp;&#160;user.middlename&#160;!= '') { 'CN='+user.lastname+'\\, '+user.preferedFirstName+'\\ '+user.middlename+',OU=Accounts,DC=dev,DC=abccompany,DC=com'+'###'+'CN='+user.lastname+'\\, '+user.preferedFirstName+'1\\ '+user.middlename+',OU=Accounts,DC=dev,DC=abccompany,DC=com'+'###'+'CN='+user.lastname+'\\, '+user.preferedFirstName+'2\\ '+user.middlename+',OU=Accounts,DC=dev,DC=abccompany,DC=com' } else { 'CN='+user.lastname+'\\, '+user.preferedFirstName+',OU=Accounts,DC=dev,DC=abccompany,DC=com'+'###'+'CN='+user.lastname+'\\, '+user.preferedFirstName+'1,OU=Accounts,DC=dev,DC=abccompany,DC=com'+'###'+'CN='+user.lastname+'\\, '+user.preferedFirstName+'2,OU=Accounts,DC=dev,DC=abccompany,DC=com' }}&#160;</span>
        </p>
        <p>Example 3:&#160;&#160;</p>
        <p><span class="attr">CN=${user.firstname} ${user.lastname},${ if(user.employeeType.equals('Full Time'))&#160;<br></br>{'OU=Access&#160;Management,OU=Testing,OU=sales,DC=abccompany,DC=com'}&#160;<br></br>else {if (user.customer.id==1) {'OU=Test1,OU=OutsideVendor,OU=Users,OU=sales,DC=sav,DC=com'}&#160;<br></br>else {if (user.customer.id==2) {'OU=Test2,OU=OutsideVendor,OU=Users,OU=sales,DC=sav,DC=com'}&#160;<br></br>else {if (user.customer.id==3) {'OU=Test3,OU=OutsideVendor,OU=Users,OU=sales,DC=sav,DC=com'}&#160;<br></br>else {if (user.customer.id==4) {'OU=Test4,OU=OutsideVendor,OU=Users,OU=sales,DC=sav,DC=com'}&#160;<br></br>else {if (user.customer.id==5) {'OU=Test5,OU=OutsideVendor,OU=Users,OU=sales,DC=sav,DC=com'}&#160;<br></br>else {if (user.customer.id==6) {'OU=Test5,OU=OutsideVendor,OU=Users,OU=sales,DC=sav,DC=com'}&#160;<br></br>else {'OU=OtherVendors,OU=OutsideVendor,OU=Users,OU=sales,DC=sav,DC=com'}}}}}}}&#160;<br></br>}</span>&#160;</p>
        <p>Example 4:<br /><span class="attr">"cn": "ACCOUNTID","baseDN": "${baseDN}","RuleCheck": "${user.lastname}, ${user.firstname}###${user.lastname}, ${user.firstname}1###${user.lastname}, ${user.firstname}2###${user.lastname}, ${user.firstname}3###${user.lastname}, ${user.firstname}4"</span></p>In this example, <span class="attr">RuleCheck</span> checks for the uniqueness of the account attributes. If the account does not exist, the account is mapped to the CN attribute of Create Account Policy to create a new account.<div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note">Regardless of the account attribute mapping, CN must always be mapped to ACCOUNTID because it is used as a binding variable.</p></div><h3><a name="Checking"></a>Checking&#160;the Uniqueness of an Attribute&#160;</h3><p>You can&#160;evaluate the uniqueness of an attribute in the Active Directory domain before it is provisioned by specifying the&#160;<strong>Check for Uniqueness Policy</strong>&#160;parameter.&#160;The attribute is evaluated for all provisioning operations and the associated&#160;changes&#160;are made to it to make it unique.&#160;</p><p>To do this, expand <strong>Check for Uniqueness Policy</strong> in the <strong>Setup Account Provisioning configuration</strong> section and specify the attributes that you want to check in&#160;Active Directory for the unique constraint of rules separated by ###.&#160;</p><p>Example:&#160;Check the uniqueness of a user’s Account Name, Principal Name, and Display Name attributes. </p><p>Specify these attributes in the following format:</p><MadCap:codeSnippet><MadCap:codeSnippetCopyButton /><MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption><MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="mc-code-lang: PlainText;">{
  "CheckForUnique": {
    "Attributes": [
      {
        "samaccountname": "customproperty1",
        "RuleCheck": "${user.lastname}###${user.lastname}1###${user.lastname}2###${user.lastname}3###${user.lastname}4###${user.lastname}5###${user.lastname}6###${user.lastname}7###${user.lastname}8"      },
      {
        "userprincipalname": "customproperty2",
        "RuleCheck": "${user.lastname}@domainame.com###${user.lastname}1@domainname.com###${user.lastname}2@domainname.com###${user.lastname}3@domainname.com###${user.lastname}4@domainname.com"      },
      {
        "displayname": "customproperty31",
        "RuleCheck": "${user.lastname}, ${user.firstname}###${user.lastname}, ${user.firstname}1###${user.lastname}, ${user.firstname}2###${user.lastname}, ${user.firstname}3###${user.lastname}, ${user.firstname}4"      }
    ]
  }
}
</MadCap:codeSnippetBody></MadCap:codeSnippet><h3><a name="Updating"></a>Updating an Account&#160;</h3><p>To update the details of an existing account, specify the&#160;<strong>Update Account Policy</strong>&#160;parameter.&#160;For more information about the attributes used in this parameter, see <a href="#Creating">Creating an Account</a>.&#160;</p><h3><a name="Enabling"></a>Enabling an Account&#160;</h3><p>To enable a disabled account, specify the&#160;<strong>Enable Account Policy</strong>&#160;parameter.&#160;The values specified for this parameter are used to check the attributes associated with the account before it is enabled.&#160;</p><p>To define the attributes to use while enabling an account, expand <strong>Enable Account Policy</strong> in the Setup Account Provisioning configuration section and specify values for the following parameters:</p><ul><li><p><strong>Rule for checking disabled account attribute</strong>:  &#160;Use this parameter to trigger a rule for reusing inactive accounts. When this rule is defined and a user is terminated, inactive account IDs of the user are reviewed by checking these IDs in the&#160;<strong>Name of destination container for moving disabled account</strong>&#160;attribute. If the IDs are found, the OU is fetched and the account is enabled.&#160;</p></li><li><strong>Name of destination container for moving account</strong>:&#160;Use this parameter to move the account to a different container. Specify the name of the new container to move the account to it.</li><li><strong>Remove existing groups of user</strong>: Use this parameter to remove the previously assigned groups of the user after the account is enabled or&#160;reassign the user to the same group. When set to <label class="param-value">No</label>, the user is&#160;reassigned to the same group.</li><li><p><strong>Use existing DN of the account</strong>: When set to <label class="param-value">Yes</label>, the existing DN of the account is obtained from the accounts table. </p></li><li><p><strong>Move account to a new DN</strong>: Use this parameter to move the account to a different container. When set to <label class="param-value">Yes</label>,&#160;the account is moved to a different container. This requires you to specify the name of the new container in the&#160;<strong>Name of destination container for moving account</strong> parameter.</p></li></ul><p><strong>ATTRIBUTESTOCHECK</strong></p><ul><li><p><strong>userAccountControl</strong>: Use this parameter to specify the status of the Active Directory account.</p></li></ul><h3><a name="Disablin"></a>Disabling an Account&#160;</h3><p>If you disable an account in the&#160;target application and want to update the same status of the account in EIC, specify the&#160;<strong>Disable Account Policy</strong>&#160;parameter.&#160;The value provided for this parameter is used to check the attributes associated with the account before the account is disabled.&#160;</p><p>To define the attributes to use while disabling an account, expand <strong>Disable Account Policy</strong> in the Setup Account Provisioning configuration section and specify values for the following parameters:</p><ul><li><p><strong>Remove existing group memberships</strong>: Use this parameter to delete all Active Directory groups associated with an account. By default, it is set to <label class="param-value">No</label>. To delete the groups associated with the account set it to <label class="param-value">Yes</label>. </p></li><li><p><strong>UserAccountControl</strong>: Use this parameter to specify the status of the account.</p></li><li><p><strong>Name of destination container for moving disabled account</strong>: Use this parameter to specify the container to move the disabled account.</p></li><li><strong>password</strong>: Use this parameter to set a password for the account. To derive the password creation logic at runtime, specify&#160;<label class="param-value">${randomPassword}</label>. </li></ul><h3><a name="Reusing"></a>Reusing Accounts&#160;</h3><p>Active Directory uses the reuse account&#160;functionality to retain the suspended user accounts. When a user leaves an organization, the user’s account is suspended and moved to a different organization unit (OU) and kept in the OU for 30 to 90 days in the disabled state. If the user rejoins within this time, the account is reused. </p><p>While creating an account if you want to reuse an inactive account, specify <label class="param-value">True</label> in the&#160;<strong>Reuse existing inactive accounts during rehire</strong>&#160;parameter.&#160;&#160;</p><p>To define the attributes to use while reusing an account, expand <strong>Reuse Account Policy</strong> in the Setup Account Provisioning configuration section and specify values for the following parameter:</p><ul><li><p><strong>Destination container for moving reused accounts</strong>: Specify the organization unit (OU) to move a reused account.</p></li></ul><p><strong>Matching criteria</strong></p><p>You must establish a matching criteria to check whether to move an account to a different organization unit (OU).</p><p>In the below example, an Active Directory account is checked by searching for the following attributes of the account: userAccountControl=514 (inactive),&#160;SN=User's Firstname, and CN = User's Lastname.&#160;If the account is found, all the assigned groups are removed from it and the account is moved to the OU specified in the&#160;<strong>Reuse Account Policy</strong>&#160;parameter.</p><p><img src="../../Resources/Images/reuseacct.png" style="width: 650px;" /></p><h3><a name="Removing"></a>Removing an Account&#160;</h3><p>If a user leaves your organization, and if that user’s role is permanently removed, it is advised to remove that user account for security purposes. You can configure the actions that you want to trigger when an account is removed by specifying the&#160;<strong>Remove&#160;Account&#160;Policy</strong>&#160;parameter.&#160;</p><p>To define the attributes to use while disabling an account, expand <strong>Remove Account Policy</strong> in the Setup Account Provisioning configuration section and specify values for the following parameters:</p><ul><li><p><strong>Choose action for the removed account - SUSPEND or DELETE</strong>: Use this parameter to either suspend or delete an account from Active Directory. If you select <strong>DELETE</strong>, the account is permanently deleted.</p></li><li><p><strong>Remove existing group memberships</strong>: Use this parameter to delete all Active Directory groups associated with an account. By default, it is set to <label class="param-value">No</label>. To delete the groups associated with the account, set it to <label class="param-value">Yes</label>. </p></li><li><p><strong>UserAccountControl</strong>: Use this parameter to specify the status of the account.</p></li><li><p><strong>Name of destination container for removed account</strong>: Use this parameter to specify the container to move the account.</p></li><li><p><strong>New password</strong>: Use this parameter to set a password for the account. To derive the password creation logic at runtime, specify&#160;<label class="param-value">${randomPassword}</label>. <br /></p></li></ul><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><ul><li><p class="note">If you want to use<label class="param-value"> "userPassword": "${randomPassword}"</label> for password rotation, ensure that you have a directory-compliant password policy defined in EIC and added to the Security System.</p></li><li><p class="note">To fetch an inactive account and mark Deprovision Account or Deprovision Access actions for it, create an analytics control using <strong>Analytics&#160;&gt; Click Analytics Configuration List</strong>. After executing the control, when the user is terminated (for example, 90 days inactive), it creates Remove Account or Remove Access tasks and processes deprovisioning. For more information, see <MadCap:xref href="../../Chapter16-Managing-EIC-Analytics/Creating-Elasticsearch-based-Analytics-Control-V2-using-SQL-Query.htm">Creating Elasticsearch-based Analytics Controls (Version 2) using SQL Query</MadCap:xref>.</p></li></ul></div><h3><a name="Resettin"></a>Resetting and Changing the Account Password&#160;</h3><p>To reset or change an account password, expand&#160;<strong>Reset and Change Password Policy</strong>&#160;in the Setup Account Provisioning configuration section and specify values for the following parameters:</p><p><strong>Reset password settings</strong></p><ul><li><p><strong>Change password at next login</strong>: Use this parameter to&#160;change or retain the account password when the account logs in to Active Directory for the first time. When set to&#160;0, the password must be changed after the first time login.</p></li><li><p><strong>Message</strong>: Use this parameter to specify the message to be displayed when the password is reset.</p></li></ul><p><strong>Change password settings</strong></p><ul><li><p><strong>Change password at next login</strong>: Use this parameter to&#160;change or retain the account password when the account logs in to Active Directory for the first time. When set to&#160;<label class="param-value">0</label>, the password must be changed after the first time login.</p></li><li><p><strong>Message</strong>: Use this parameter to specify the message to be displayed when the password is changed.</p></li></ul><h3><a name="Managing"></a>Managing the Password Policies for Active Directory</h3><p>You can manage the password policies for Active Directory by configuring the Account password policy and Service account password policy parameters. For more information about password policies, see <MadCap:xref href="Managing-Password-Policies.htm">Managing Password Policies</MadCap:xref>.</p><h3><a name="Setting"></a>Setting up Emails to Send Notifications</h3><p>You can select an email template, associate it to a task and send emails based on the status of the tasks. You can also reuse existing templates for multiple tasks and statuses by configuring the <strong>Email Actions</strong> parameter under <strong>Setup Email Actions </strong>in <strong>Request Configuration</strong>. Click <strong>Add Email Action</strong> and select the task, the action to take, the Email Template, and click the Tick icon to save the changes. To add additional email actions, click <strong>Add Email Action</strong>.</p><p><img src="../../Resources/Images/requestconfig.png" style="width: 650px;" /></p><h3>Provisioning Procedure&#160;</h3><p>To configure provisioning of Active Directory accounts and accesses:</p><ol><li><p>On the Home page, select <strong>Assisted configuration</strong>. </p></li><li><p>Click <strong>See More</strong> to display all the selected features.</p><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note"> You can add or remove the features you want to configure by clicking <strong>&lt;Number of&gt; Features Selected</strong> on the top right of the Get Started section. In the <strong>Features </strong>page that is displayed, make the changes and click <strong>Save</strong>. </p></div></li><li><p>To configure the application properties used for account provisioning:</p></li></ol><p style="margin-left: 30.0px;">a. Under Account Management, click the right arrow next to <strong>Setup Account Provisioning Configuration</strong>.</p><p style="margin-left: 30.0px;">b. Specify values for the account provisioning properties by referring to the sections listed in the following table:</p><div class="table-wrap"><table class="TableStyle-Nested-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Nested-Table.css');" cellspacing="0"><col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" /><col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" /><thead><tr class="TableStyle-Nested-Table-Head-Header1"><th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Property</th><th class="TableStyle-Nested-Table-HeadD-Column1-Header1">See More…</th></tr></thead><tbody><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Reuse existing inactive accounts during rehire</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Reusing">Reusing Accounts&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Account Name Rule</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Defining">Defining a Rule for Naming an Account&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Create Account Policy</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Creating">Creating an Account&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Check for Uniqueness Policy</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Checking">Checking&#160;the Uniqueness of an Attribute&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Update Account Policy</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Updating">Updating an Account&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Enable Account Policy</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Enabling">Enabling an Account&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Disable Account Policy</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Disablin">Disabling an Account&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Reuse Account Policy</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Reusing">Reusing Accounts&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Remove Account Policy</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Removing">Removing an Account&#160;</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyB-Column1-Body1"><p class="table-text">Reset and Change Password Policy</p></td><td class="TableStyle-Nested-Table-BodyA-Column1-Body1"><p class="table-text"><MadCap:xref href="#Resettin">Resetting and Changing the Account Password&#160;</MadCap:xref></p></td></tr></tbody></table></div><p style="margin-left: 30.0px;">&#160;c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the Home page. Otherwise, to continue the configuration for the next use case, click the right arrow.</p><p>5. To configure the application properties used for password management:</p><p style="margin-left: 30.0px;">a. Under Password Management, click the right arrow next to <strong>Setup Password Policies</strong>.</p><p style="margin-left: 30.0px;">b. Specify values for the password policy properties by referring to the sections listed in the following table:</p><div class="table-wrap"><table class="TableStyle-Nested-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Nested-Table.css');" cellspacing="0"><col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" /><col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" /><thead><tr class="TableStyle-Nested-Table-Head-Header1"><th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Property</th><th class="TableStyle-Nested-Table-HeadD-Column1-Header1">See More...</th></tr></thead><tbody><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Account password policy</p></td><td rowspan="2" class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Managing">Managing the Password Policies for Active Directory</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyB-Column1-Body1"><p class="table-text">Service account password policy</p></td></tr></tbody></table></div><p> c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the Home page. Otherwise, to continue the configuration for the next use case, click the right arrow.</p><p> 6. To configure the application properties used for email notifications:</p><p style="margin-left: 30.0px;">b. Specify values for the email actions by referring to <MadCap:xref href="#Setting">Setting up Emails to Send Notifications</MadCap:xref>.</p><p> c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the Home page. </p><p>7. To complete enrolling the application, click <strong>Commit Changes</strong>.&#160;</p><p>8. Configure the&#160;<strong>Provisioning&#160;</strong>job<strong>&#160;(WSRETRY)</strong>.&#160;For more information, see&#160;<MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm">Job Categories for Flat Job Control Panel</MadCap:xref>.</p><p>When a provisioning job is triggered, it creates provisioning tasks in EIC. When these tasks are completed, the provisioning action is performed on the target application.&#160;</p><h2>Managing Service Accounts</h2><p>A service account is an account&#160;in an application with privileged&#160;responsibilities and is provided for a temporary period to users.&#160;Every service account in EIC has at least one owner who has permission to manage these accounts. As a service account owner, you can perform different actions on existing service accounts owned by you.&#160;</p><h3><a name="Selectin"></a>Selecting a Workflow for Adding a Service Account</h3><p>You can select the workflow to be used for approvals for adding a service account and assigning entitlements for the respective service account. This can be achieved through the <strong>Select workflow for new service account</strong> parameter in the <strong>Setup service account configurations</strong> section.</p><p>Ensure you specify the workflow in the security system (which has third-party applications having service accounts) because without a workflow the service account application name (endpoint tied to the security system with service account) will not be displayed in&#160;<strong>ARS &gt; Request Home &gt; Manage Service Account</strong>.</p><h3><a name="Selectin2"></a>Selecting a Workflow for Removing a Service Account</h3><p>You can select the workflow to be used for removing a service account request and removing entitlements for the respective service account. This can be achieved through the <strong>Select workflow for service account removal</strong> parameter in the Setup service account configurations section.</p><p>Ensure you specify the workflow in the security system (which has third-party applications having service accounts) because without a workflow the service account application name (endpoint tied to the security system with service account) will not be displayed in&#160;<strong>ARS &gt; Request Home &gt; Manage Service Account</strong>.</p><h3><a name="Setting3"></a>Setting an Account Type for Service Account</h3><p>You can specify the account types to be displayed when you create a service account type attestation. This can be achieved through the <strong>Service account type to be used as service account</strong> parameter in the Setup service account configurations section.</p><p>Accounts belonging to the account types selected here are considered as Service Accounts for this endpoint.</p><h3><a name="Specifyi"></a>Specifying a Filter to Restrict the Visibility of the Application in Service Account Requests</h3><p>You can specify the users for whom the endpoint must be shown while requesting a service account. This can be achieved through the <strong>Specify filter to restrict visibility of this application in service account requests</strong> parameter in the Setup service account configurations section.</p><p>If you do not define anything, by default the endpoint will be shown to all users while performing ARS requests using&#160;<strong>ARS &gt; Manage Service Accounts</strong>. Whereas, if you define two users in Access Query, the endpoint will be shown only to those two users and not to other users while requesting for service account using&#160;<strong>ARS &gt; Manage Service Account</strong>.</p><p>Sample Query:&#160;<label class="param-value">WHERE users.firstname = 'firstname' and users.email='email'</label></p><h3>Service Account Management Procedure&#160;</h3><p>To manage service accounts:</p><ol><li><p>On the Home page, select <strong>Assisted configuration</strong>. </p></li><li><p>Click <strong>See More</strong> to display all the selected features.</p><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note">You can add or remove the features that you want to configure by clicking <strong>&lt;Number of&gt; Features Selected</strong> on the top right of the Get Started section. In the <strong>Features </strong>page that is displayed, make the changes and click <strong>Save</strong>.</p></div></li><li><p>To configure the application properties used for service account management:</p></li></ol><p style="margin-left: 30.0px;">a. Under Service Account Management, click the right arrow next to <strong>Setup service account configurations</strong>.</p><p style="margin-left: 30.0px;">b. Specify values for the service account configurations properties by referring to the sections listed in the following table:</p><div class="table-wrap"><table class="TableStyle-Nested-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Nested-Table.css');" cellspacing="0"><col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" /><col style="width: 340px;" class="TableStyle-Nested-Table-Column-Column1" /><thead><tr class="TableStyle-Nested-Table-Head-Header1"><th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Property</th><th class="TableStyle-Nested-Table-HeadD-Column1-Header1">See More…</th></tr></thead><tbody><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Select the workflow for new service account</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Selectin">Selecting a Workflow for Adding a Service Account</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Select the workflow for new service account removal</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Selectin2">Selecting a Workflow for Removing a Service Account</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Service account type to be used as service</p></td><td class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><MadCap:xref href="#Setting3">Setting an Account Type for Service Account</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyB-Column1-Body1"><p class="table-text">Specify filter to restrict visibility of this application in service account requests</p></td><td class="TableStyle-Nested-Table-BodyA-Column1-Body1"><p class="table-text"><MadCap:xref href="#Specifyi">Specifying a Filter to Restrict the Visibility of the Application in Service Account Requests</MadCap:xref></p></td></tr></tbody></table></div><p style="margin-left: 30.0px;">&#160;c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the Home page. Otherwise, to continue the configuration for the next use case, click the right arrow.</p><p>5. To complete enrolling the application, click <strong>Commit Changes</strong>.</p><h2>Managing Requests</h2><p>The application onboarding and management feature provides centralized identity management and governance capabilities. This helps you to build a governance model for your enterprise for better visibility into who has access to what. An administrator defines roles and permissions for users based on their requirements. The approvers analyze the criticality or risk of granting access permissions and take the right action of granting or denying access that users do not need such as when users change positions in a company and inadvertently accrue too many privileges.</p><h3><a name="Setting4"></a>Setting up Request Configurations</h3><p>Consider a scenario where a user’s account has to be created and various accesses must be provided for that account. To achieve this we must first create an account for the user and then the user must raise a request for the required access. You can define the levels of approvals required and the approvers using a workflow. </p><p>You can select this workflow in the <strong>Select workflow for new access</strong> parameter in the Setup Request Configurations section.</p><p>Similarly, you can select the workflow to be used when access has to be revoked, which can be for an account, entitlement, or any other de-provisioning task. This can be achieved by selecting a workflow in the <strong>Select workflow for access removal</strong> parameter in the <strong>Setup Request Configurations</strong> section.</p><p>For more information about workflow creation see <MadCap:xref href="../../Chapter11-Managing-Workflows/Creating-Workflows.htm">Creating Workflows</MadCap:xref>.</p><p>Consider a scenario where you do not want the users to request access to certain applications in EIC. This can be achieved by disabling the <strong>Allow users to request access for this application</strong> parameter in the<strong> Setup Request Configurations</strong> section.</p><p>When the <strong>Allow users to request access for this application</strong> parameter is disabled for an application, then that application is not displayed in the <strong>ARS &gt; Request Home</strong>.</p><p>You can perform the above configurations as shown below:</p><p><img src="../../Resources/Images/requestconfig.png" style="width: 650px;" /></p><p>&#160;</p><h3><a name="Managing2"></a>Managing Requests for Accounts</h3><p>You can specify an account type for which the password cannot change. Usually, you can select such account types as service accounts for which the passwords do not change. This can be achieved by selecting an account type in the <strong>Account Type for which Password should not change</strong> in the Setup Request Configurations section.</p><p>You can specify the account type for which revoke tasks should not get created, even if an account is removed. This can be achieved by selecting an account type in the <strong>Account Type for which Deprovisioning Tasks should not get created</strong> in the Setup Request Configurations section.</p><p>For example, account types can be selected, for which the de-provisioning tasks will not get created, even if the account type is removed through certification.&#160;</p><h3><a name="Managing3"></a>Managing Requests for Access</h3><p>You can disable the ability to remove the already assigned accounts in applications belonging to the endpoint by enabling the <strong>Disable remove account option in request</strong> parameter in the Setup Request Configurations section. When this parameter is enabled, the&#160;REMOVE ACCOUNT option is not displayed in ARS for already assigned accounts.</p><p>You can disable the ability to modify accounts in applications belonging to the endpoint by enabling the <strong>Disable modify account option in request</strong> parameter in the Setup Request Configurations section. When this parameter is enabled, the&#160;MODIFY ACCOUNT option is not displayed in ARS for already assigned accounts.</p><p>You can disable a user’s ability to request for a new account if the user already has 1 or more account for the endpoint by enabling the <strong>Disable new account request if account already exists</strong> parameter in the Setup Request Configurations section.</p><p>If you disable <strong>Disable New Account Request if Account Already Exist</strong>, the ADD TO CART option will not be available to request for another account for the user having 1 or more accounts for the endpoint.</p><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note">You can enable this configuration for all access requests except for Service Account requests. </p></div><p>You can perform the above configurations as shown below:</p><p><img src="../../Resources/Images/access1.png" style="width: 600px;" /></p><p>You can specify the query to filter access and display this endpoint only for the allowed identity objects provided in the access query in the <strong>Specify filter to restrict visibility of this application</strong> parameter in the <strong>Setup Request Configurations</strong> section.</p><p>If you do not specify any value for the parameter, the endpoint is shown to all users. If you specify two, the endpoint is shown only to two users.</p><p>For example, if you want to display an endpoint to permanent employees and not the contractual employees, specify <label class="param-value">user.employeeType=P</label> in the query,&#160;where P represents permanent employees. When a contractual employee logs in, the employee does not see this endpoint.&#160;</p><p>Example:</p><p><span class="attr">where (users.employeeType = 'Contractor' and users.customproperty4 = '1' and users.statuskey=1 and users.customproperty2 !='10' and users.firstname not like '%rpabot%' and users.lastname not like '%rpabot%' and users.preferedfirstname not like '%rpabot%' and users.email not like '%rpabot%' and (users.customproperty19 not like '%Saviynt External%' or users.customproperty19 not like '%SE%') and users.userkey in (select userkey from user_accounts where accountkey in (select accountkey from accounts where endpointkey in (8,25) and accounts.status in ('Manually Provisioned','Active','1'))) and USERS.USERKEY='${</span><span href="http://requestee.id" class="attr" rel="nofollow">requestee.id</span><span class="attr">}') or (select us.userkey from savroles sv, user_savroles us where sv.rolekey=us.rolekey and sv.rolename in ('ROLE_ADMIN') and us.USERKEY='${</span><span href="http://requestor.id" class="attr" rel="nofollow">requestor.id</span><span class="attr">}')</span></p><p>Consider a scenario where you want the access for few accounts to be made time-bound. This can be achieved by providing a query in the <strong>Specify access filter query to show start and end dates in request</strong> parameter in the <strong>Setup Request Configurations</strong> section. Based on the query the start date and end date are displayed on the ARS request page for those entitlements.</p><p>For this parameter to come into effect, ensure that you have enabled the flag <strong>Ask For Start Date End Date While Request</strong> in the Entitlement Type show page.&#160;</p><p>For example,&#160;to show the start date and end date for entitlements with SOX criticality as High, specify<label class="param-value">&#160;ev.soxcritical=4</label>&#160;as the query. </p><p>You can specify if you want to create tasks to remove access actions for all the entitlements by enabling the <strong>Create tasks for dependent entitlements during access removal</strong> parameter in the <strong>Setup Request Configurations</strong> section.</p><p>For example, there is an account with 10 Entitlements. If an account is removed, and you want the owner to have a look at all the 10 entitlements being removed, you can enable the <strong>Create tasks for dependent entitlements during access removal</strong> parameter. Enabling the parameter will create revoke tasks for all the dependent entitlements under the respective account too if no action has been taken by the certifier and the Campaign is expired.</p><p>If you disable <strong>Create tasks for dependent entitlements during access removal</strong> and if there is an inactive account with access to entitlements available then when you run the User Update Rule, if it matches the condition, it removes the account with status as inactive and additionally removes access tasks for the respective inactive account.</p><p>You can enable the <strong>Restrict duplicate requests creation</strong> parameter in the <strong>Setup Request Configurations</strong> section to avoid duplicate requests for the same user and for the same endpoints.</p><p>If a user raises ARS requests for the same endpoint from two different browsers, then if the first request is already submitted, then this flag can be used to configure the endpoint details in such a way that the user's second browser request is not submitted.</p><p>When this flag is enabled, if a user already has an existing request for an endpoint in the pending or approval stage or in&#160;Pending Tasks,&#160;and then if the same user tries to raise another request for the same endpoint, then a message <strong>Not Allowed Request, or Task in flight</strong> is displayed and&#160;the user cannot proceed again with raising a request for the same endpoint.</p><p>You can use the <strong>Enable copy access option in requests </strong>parameter in the <strong>Setup Request Configurations</strong> section to allow the user to copy the access provided to another user while requesting. When the <strong>Enable copy access option in requests</strong> parameter is enabled, the <strong>Enable Copy Access</strong> option is displayed in <strong>ARS &gt; Request Access for Others </strong>page. Click <strong>Enable Copy Access</strong> and select the user whose entitlement you wish to copy, the entitlement access is copied from the selected user and assigned to the respective user.</p><p>You can perform the above configurations as shown below:</p><span class="confluence-embedded-file-wrapper image-center-wrapper confluence-embedded-manual-size"><p><img src="../../Resources/Images/Access2.png" style="width: 650px;" /></p></span><h3><a name="Mapping2"></a>Mapping the Applications</h3><p>You can define which of the dependent applications can be requested by configuring the <strong>Setup Mapped Applications</strong> parameter in the <strong>Request Configuration</strong> section.</p><p>To set up the application mapping click <strong>Setup Application Mapping</strong>. In the Setup Application Mapping dialog box, select the dependent application and select if it is requestable or not.</p><p><img src="../../Resources/Images/mappingapps.png" style="width: 650px;" /></p><p>&#160;</p><p>To add additional dependent applications click <strong>Setup Application Mapping</strong>. The added applications can be edited by clicking the edit icon or click the cross icon (<strong>X</strong>) to remove the application.</p><h3><a name="Configur"></a>Configuring the Dynamic Attributes</h3><p>You can add extra attributes that you can associate to an endpoint, these dynamic attribute values are used to display additional values while requesting access using ARS.</p><div class="confluence-information-macro confluence-information-macro-information conf-macro output-block"><div class="confluence-information-macro-body"><p>While creating a dynamic attribute employeeType, ensure that the T is in Capital like&#160;employeeType. If it is in Capital such as&#160;employeeType only then the value given for&#160;employeeType such as Permanent or Contractual is saved in Database. If the dynamic attribute created is with small 't' such as&#160;employeetype the value given is not stored in the database.</p></div></div><p>To add dynamic attributes click <strong>Add New</strong> in the Setup Dynamic Attributes under the Request Configuration section. Specify the details in the <strong>Add Attribute</strong> dialog box. For more information see the Dynamic Attribute section in <MadCap:xref href="Viewing-or-Updating-Endpoints.htm">Viewing or Updating Endpoints</MadCap:xref>.</p><h3>Request Management Procedure</h3><p>To manage requests for accounts and access:</p><ol><li><p>On the Home page, select <strong>Assisted configuration</strong>. </p></li><li><p>Click <strong>See More</strong> to display all the selected features.<br /></p><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note">You can add or remove the features that you want to configure by clicking <strong>&lt;Number of&gt; Features Selected</strong> on the top right of the Get Started section. In the <strong>Features </strong>page that is displayed, make the changes and click <strong>Save</strong>.</p></div></li><li><p>To manage the requests for accounts and accesses:</p></li></ol><p style="margin-left: 30.0px;">a. Under Request Configuration, click the right arrow next to <strong>Setup Request Configurations</strong>.</p><p style="margin-left: 30.0px;">b. Specify values for the request configurations properties by referring to the sections listed in the following table:</p><div class="table-wrap"><table class="TableStyle-Nested-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Nested-Table.css');" cellspacing="0"><col style="width: 316.0px;" class="TableStyle-Nested-Table-Column-Column1" /><col style="width: 444.0px;" class="TableStyle-Nested-Table-Column-Column1" /><thead><tr class="TableStyle-Nested-Table-Head-Header1"><th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Property</th><th class="TableStyle-Nested-Table-HeadD-Column1-Header1">See More...</th></tr></thead><tbody><tr class="TableStyle-Nested-Table-Body-Body1"><td colspan="2" class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><strong>Basic</strong></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Select workflow for new access</p></td><td rowspan="3" class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p style="text-align: center;" class="table-text"><MadCap:xref href="#Setting4">Setting up Request Configurations</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Select workflow for access removal</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Allow users to request access for this application</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td colspan="2" class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><strong>Account</strong></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Account Type for which Password should not change</p></td><td rowspan="5" class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p style="text-align: center;" class="table-text"><MadCap:xref href="#Managing2">Managing Requests for Accounts</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Account Type for which Deprovisioning Tasks should not get created</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Disable remove account option in request</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Disable modify account option in request</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Disable new account request if account already exists</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td colspan="2" class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p class="table-text"><strong>Access</strong></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Specify filter to restrict visibility of this application</p></td><td rowspan="5" class="TableStyle-Nested-Table-BodyD-Column1-Body1"><p style="text-align: center;" class="table-text"> <MadCap:xref href="#Managing3">Managing Requests for Access</MadCap:xref></p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Specify access filter query to show start an end dates in request</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Create tasks for dependent entitlements during access removal</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyE-Column1-Body1"><p class="table-text">Restrict duplicate requests creation</p></td></tr><tr class="TableStyle-Nested-Table-Body-Body1"><td class="TableStyle-Nested-Table-BodyB-Column1-Body1"><p class="table-text">Enable copy access option in requests</p></td></tr></tbody></table></div><p style="margin-left: 30.0px;">&#160;c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the <strong>Home </strong>page. Otherwise, to continue the configuration for the next use case, click the right arrow.</p><p>5. To configure dynamic attributes:</p><p style="margin-left: 30.0px;">a. Under Request Configuration, click the right arrow next to <strong>Setup Dynamic Attributes.</strong></p><p style="margin-left: 30.0px;">b. Configure the dynamic attributes by referring to <MadCap:xref href="#Configur">Configuring the Dynamic Attributes</MadCap:xref>.</p><p style="margin-left: 30.0px;">c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the <strong>Home </strong>page.</p><p>6. To map dependent applications:</p><p style="margin-left: 30.0px;">a. Under Request Configuration, click the right arrow next to <strong>Setup Mapped Applications.</strong></p><p style="margin-left: 30.0px;">b. Configure the dependent applications by referring to <MadCap:xref href="#Mapping2">Mapping the Applications</MadCap:xref>.</p><p style="margin-left: 30.0px;">c. When finished, click <strong>Done</strong> on the left pane to complete the configuration and return to the <strong>Home </strong>page</p><p>7. To complete enrolling the application, click <strong>Commit Changes</strong>.</p><h2>Provisioning Nested Active Directory Groups</h2><p>Set the <strong>Enable group management</strong> parameter to provision or deprovision nested&#160;Active Directory groups from EIC to Active Directory.&#160;To allow&#160;provisioning/deprovisioning of nested&#160;Active Directory groups, set the value to <label class="param-value">True</label>.&#160;</p><p>You can specify the <strong>Create Update Mapping</strong> parameter to identify which attribute of an Active Directory group maps to which attribute in EIC. This mapping is used when an Active Directory group or a nested group is created. It supports the Active Directory group types: Global Security Group, Local Security Group, and Universal Security&#160;Group.</p><p>To add an attribute to the mapping, click <strong>Add Attributes</strong>, and select an attribute from the list. </p><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note">The values specified for&#160;the objectCategory&#160;and&#160;managedBy&#160;attributes differ based on your environment and setup. Make sure to update these&#160;attributes based on your environment and setup.&#160;The objectCategory and&#160;objectClass&#160;attributes might differ for different directories. This needs to be mapped accordingly as per schema attributes that are compliant with the directories.</p></div><h3><a name="Provisio"></a>Provisioning Nested Active Directory Groups Procedure</h3><p>To provision nested Active Directory groups:</p><ol><li><p>Configure the basic connection details. For more information see <MadCap:xref href="../Onboard-Manage-App-Beta-v2021/Enrolling-Active-Directory-Applications.htm">Active Directory Applications</MadCap:xref></p></li><li><p>On the summary page of the Enroll New Active Directory wizard, click <strong>Continue Assisted Configuration</strong>. The Home page is displayed.<br /></p><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note">If you have completed the enrollment for the application, then navigate to the Home page from the <strong>Catalog</strong> tab of the Application Management page. </p></div></li><li><p>Select <strong>Advanced configuration</strong> and on the left panel click <strong>Provisioning </strong>under CONFIGURATION.</p></li><li><p>To provision access:</p></li></ol><p style="margin-left: 30.0px;">a. Specify values for <strong>Enable group management</strong> and <strong>Create Update Mapping</strong> fields by referring to <MadCap:xref href="#Provisio">Provisioning Nested Active Directory Groups Procedure</MadCap:xref>.</p><p style="margin-left: 30.0px;">&#160;b. When finished, click <strong>Update </strong>on the top right to save the configuration. </p><p>5. To complete enrolling the application click <strong>Home </strong>on the left panel and click <strong>Commit Changes</strong>.</p><p>6. Configure the&#160;<strong>Provisioning&#160;</strong>job<strong>&#160;(WSRETRY)</strong>.&#160;For more information, see&#160;<MadCap:xref href="../../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm#Utility">Utility</MadCap:xref>.</p><p>When a provisioning job is triggered, it creates provisioning tasks in EIC. When these tasks are completed, the provisioning action is performed on the target application.&#160;</p></body>
</html>